6.0.0-git
2019-03-19

[#8523] Photo attribute is corrupted after a move or a copy
Summary Photo attribute is corrupted after a move or a copy
Queue Turba
Queue Version 2.3.1
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester ryu (at) ryux (dot) org
Created 2009-08-24 (3494 days ago)
Due
Updated 2010-01-13 (3352 days ago)
Assigned 2009-09-30 (3457 days ago)
Resolved 2009-10-01 (3456 days ago)
Milestone 2.3.3
Patch No

History
2010-01-13 00:12:54 CVS Commit Comment #14 Reply to this comment
Changes have been made in Git for this ticket:

Fix bug #8523 - Photo attribute is corrupted after a move or a copy
Signed-off-by: Jan Schneider <jan@horde.org>

http://git.horde.org/diff.php/turba/lib/View/Browse.php?rt=horde-git&r1=0a70ce52cdd66d0213a84aa542dfe81eecb42fd3&r2=31c0700959386a1218a8e1f4d88641197fada63f
2009-10-01 15:04:24 CVS Commit Comment #12 Reply to this comment
Changes have been made in Git for this ticket:

Fix bug #8523 - Photo attribute is corrupted after a move or a copy
Signed-off-by: Jan Schneider <jan@horde.org>

http://git.horde.org/diff.php/turba/lib/View/Browse.php?rt=horde-hatchery&r1=0a70ce52cdd66d0213a84aa542dfe81eecb42fd3&r2=31c0700959386a1218a8e1f4d88641197fada63f
2009-10-01 10:02:46 Jan Schneider Milestone ⇒ 2.3.3
 
2009-10-01 10:02:34 Jan Schneider Comment #11
State ⇒ Resolved
Reply to this comment
Committed, thanks for the patch!
2009-10-01 09:57:35 CVS Commit Comment #9 Reply to this comment
2009-10-01 09:53:42 CVS Commit Comment #8 Reply to this comment
Changes have been made in CVS for this ticket:

MFH: Fix bug #8523 - Photo attribute is corrupted after a move or a copy
http://cvs.horde.org/diff.php/turba/lib/Views/Browse.php?rt=horde&r1=1.12.2.9&r2=1.12.2.10&ty=u
2009-10-01 09:50:49 CVS Commit Comment #7 Reply to this comment
Changes have been made in Git for this ticket:

Fix bug #8523 - Photo attribute is corrupted after a move or a copy
Signed-off-by: Jan Schneider <jan@horde.org>

http://git.horde.org/diff.php/turba/lib/View/Browse.php?rt=horde-hatchery&r1=0a70ce52cdd66d0213a84aa542dfe81eecb42fd3&r2=31c0700959386a1218a8e1f4d88641197fada63f
2009-10-01 09:46:50 Jan Schneider Deleted Original Message
 
2009-09-30 19:56:15 ryu (at) ryux (dot) org Comment #6
New Attachment: 0002-Fix-bug-8523-Photo-attribute-is-corrupted-after-a.patch Download
Reply to this comment
This is my new patch. WIth only Browser that changes.



It cancel & replace the previous.



Hope is ok !
2009-09-30 15:03:57 ryu (at) ryux (dot) org Comment #5 Reply to this comment
Please change the patch so that instead of introducing a new
parameter to getValue(), it checks whether the attribute is of type
image in Browser.php, and uses the 'data' value in that case.
Ok, I see.

I do that, and I repost !

Thanks
2009-09-30 10:18:03 Jan Schneider Comment #4
Taken from Horde DevelopersHorde Developers
State ⇒ Feedback
Reply to this comment
Please change the patch so that instead of introducing a new parameter 
to getValue(), it checks whether the attribute is of type image in 
Browser.php, and uses the 'data' value in that case.
2009-09-30 07:03:39 ryu (at) ryux (dot) org Comment #3
New Attachment: 0001-Fix-bug-8523-Photo-attribute-is-corrupted-after-a.patch
Reply to this comment
Ok,



I finally found time to search where was the problem, and I found it !



It's the getValue() function which return an array for 'image' type 
attribute. But, if we want to copy this attribute, we have to return 
the raw data.



So I join a patch to fix this thicket in this post ! (This patch is 
for git version)



Thanks for comments.
2009-08-26 15:27:45 Jan Schneider Comment #2
Assigned to Jan Schneider
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Confirmed, not limited to LDAP.
2009-08-24 07:03:16 ryu (at) ryux (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Photo attribute is corrupted after a move or a copy
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
How to reproduce :



- Create a contact in a ldap addessbook 1

- Add a photo (jpegPhoto) to this contact

=> Photo OK

- Move this contact to the ldap addressbook 2

=> Photo doesn't display, file is corrupted !



I try to find the problem, with no success until now...

Saved Queries